executable launcher was unable to locate its companion shared library

Five Stars

executable launcher was unable to locate its companion shared library

Hi. Ive downloaded newest version of Open Studio for DI but the app doesnt open, I get the following error:

TOS_DI-macosx-cocoa executable launcher was unable to locate its companion shared library

I found few discussions about that, see links below:

https://www.talendforge.org/forum/viewtopic.php?id=14844

https://www.talendforge.org/forum/viewtopic.php?id=2831

They seem to resolve the issue but none of them worked for me. I used iZip, Extractor, Archive Utility, Unarchiver, Unrar but nothing works.

 

macOS Sierra 10.12.4

TOS 6.4.0

java version "1.8.0_131"

 

Thanks for help!


Accepted Solutions
Moderator

Re: executable launcher was unable to locate its companion shared library

Hi,

Here is a related jira issue:https://jira.talendforge.org/browse/TINSTL-1000

Could you please check the solution provided in jira issue to see if it works?

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.

All Replies
Moderator

Re: executable launcher was unable to locate its companion shared library

Hi,

Here is a related jira issue:https://jira.talendforge.org/browse/TINSTL-1000

Could you please check the solution provided in jira issue to see if it works?

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Seven Stars

Re: executable launcher was unable to locate its companion shared library

From jira link provided for by @xdshi, the solution suggested by Nicolas Rousseau worked for me:
https://jira.talendforge.org/browse/TINSTL-1000?focusedCommentId=453438&page=com.atlassian.jira.plug...

 

So, in terminal :

/path-to-your-talend-open-studio-folder$ xattr -d com.apple.quarantine *

One Star

Re: executable launcher was unable to locate its companion shared library

Hi,

 

Using the Jira solution mentioned, I get something like this:

 

xattr: NOTICE.txt: No such xattr: com.apple.qurantine

xattr: TOS_BD-linux-gtk-ppc: No such xattr: com.apple.qurantine

xattr: TOS_BD-linux-gtk-ppc.ini: No such xattr: com.apple.qurantine

xattr: TOS_BD-linux-gtk-ppc_64: No such xattr: com.apple.qurantine

xattr: TOS_BD-linux-gtk-x86: No such xattr: com.apple.qurantine

xattr: TOS_BD-linux-gtk-x86.ini: No such xattr: com.apple.qurantine

xattr: TOS_BD-linux-gtk-x86.sh: No such xattr: com.apple.qurantine

xattr: TOS_BD-linux-gtk-x86_64: No such xattr: com.apple.qurantine

xattr: TOS_BD-linux-gtk-x86_64.ini: No such xattr: com.apple.qurantine

xattr: TOS_BD-macosx-cocoa.app: No such xattr: com.apple.qurantine

xattr: TOS_BD-macosx-cocoa.ini: No such xattr: com.apple.qurantine

xattr: TOS_BD-solaris-gtk-sparc: No such xattr: com.apple.qurantine

xattr: TOS_BD-solaris-gtk-sparc.ini: No such xattr: com.apple.qurantine

xattr: TOS_BD-solaris-gtk-x86: No such xattr: com.apple.qurantine

xattr: TOS_BD-solaris-gtk-x86.ini: No such xattr: com.apple.qurantine

xattr: TOS_BD-win-x86_64.exe: No such xattr: com.apple.qurantine

xattr: TOS_BD-win-x86_64.ini: No such xattr: com.apple.qurantine

xattr: TOS_BD-win32-x86.exe: No such xattr: com.apple.qurantine

xattr: TOS_BD-win32-x86.ini: No such xattr: com.apple.qurantine

xattr: about_files: No such xattr: com.apple.qurantine

xattr: configuration: No such xattr: com.apple.qurantine

xattr: features: No such xattr: com.apple.qurantine

xattr: license.txt: No such xattr: com.apple.qurantine

xattr: p2: No such xattr: com.apple.qurantine

xattr: plugins: No such xattr: com.apple.qurantine

xattr: workspace: No such xattr: com.apple.qurantine

 

Still doesnt work.

 

One Star

Re: executable launcher was unable to locate its companion shared library

If that was your actual output - might you have misspelled "quarantine"? You appear to be missing the first "a"

One Star

Re: executable launcher was unable to locate its companion shared library

I ran into the same problem with 6.4.1 and was able to resolve it with the instructions here.  I found it helpful that they actually showed the actual terminal sessions and how to determine if this particular set of steps is relevant to your situations. 

 

It's not specific instructions for Talend, but rather steps to resolve the "quarantine" issue that the MacOS sometimes imposes that someone on another thread implied was the problem with the "unable to locate its companion shared library" error.

Six Stars

Re: executable launcher was unable to locate its companion shared library


AkshayNG wrote:

From jira link provided for by @xdshi, the solution suggested by Nicolas Rousseau worked for me:
https://jira.talendforge.org/browse/TINSTL-1000?focusedCommentId=453438&page=com.atlassian.jira.plug...

 

So, in terminal :

/path-to-your-talend-open-studio-folder$ xattr -d com.apple.quarantine *



This worked for me!

Moderator

Re: executable launcher was unable to locate its companion shared library

Hello,

Thanks for sharing the instructions with us. We will check it later.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Two Stars

Re: executable launcher was unable to locate its companion shared library

Thanks a lot! It's worked for me! MacOS Sierra (Version 10.12.6) - 26/10/2017

 

/path-to-your-talend-open-studio-folder$ xattr -d com.apple.quarantine *

Ex: /Users/chickenit/Documents/TOS_DI-20170623_1246-V6.4.1$ xattr -d com.apple.quarantine *

Five Stars

Re: executable launcher was unable to locate its companion shared library

Hey Guys,

 

I have installed the new version and facing the same issue. Though after executing the script shared on Jira allows me to execute the launcher but then I am stuck on "I agree" action.

 

I would really appreciate if someone can help me.

 

Thanks.

Moderator

Re: executable launcher was unable to locate its companion shared library

Hello,

Are you getting this error on talend 7.0.1? Did your built-in archive extract properly? Have you tried to re-extract using 7zip to see if it works?

Best regards

Sabrina

 

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Five Stars

Re: executable launcher was unable to locate its companion shared library

Hi @xdshi,

 

Thank you for your response.

 

Yes, the issue was in talend 7.0.1 when I was using java.version=10.0.1. However, when I reduced it to Java version 1.8, it appears to work but now when I am using salesforce connector it is giving me error like org.talend.component cannot be resolved to a type..... JVM is not compatible ... etc.

 

Looks like a lot more to go. Smiley Sad  

Moderator

Re: executable launcher was unable to locate its companion shared library

Hello,

It looks like  there is a missing jar issue when you using salesforce connector.

Have you already completely installed required jar files in your studio?

Best regards

Sabrina

 

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Five Stars

Re: executable launcher was unable to locate its companion shared library

Hi Sabrina,

 

I had allowed downloading all files which it was asking. However, if there is a way to check or download additional Jar files, please let me know. It would be a great help.

 

Thanks.

Moderator

Re: executable launcher was unable to locate its companion shared library

Hello,

Please paste the full stack trace message, it will be helpful for us to locate the possible cause.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Five Stars

Re: executable launcher was unable to locate its companion shared library

Hi @xdshi,

 

Below is the stack trace logs. Kindly assist.

 

org.talend.designer.runprocess.ProcessorException: Job compile errors 
At least job "SFDemo2" has a compile errors, please fix and export again.
Error Line: 2275
Detail Message: www cannot be resolved to a variable
There may be some other errors caused by JVM compatibility. Make sure your JVM setup is similar to the studio.
 
at org.talend.designer.runprocess.JobErrorsChecker.checkLastGenerationHasCompilationError(JobErrorsChecker.java:338)
 
at org.talend.designer.runprocess.DefaultRunProcessService.checkLastGenerationHasCompilationError(DefaultRunProcessService.java:464)
 
at org.talend.designer.runprocess.RunProcessService.checkLastGenerationHasCompilationError(RunProcessService.java:316)
 
at org.talend.designer.runprocess.ProcessorUtilities.generateBuildInfo(ProcessorUtilities.java:812)
 
at org.talend.designer.runprocess.ProcessorUtilities.generateCode(ProcessorUtilities.java:586)
 
at org.talend.designer.runprocess.ProcessorUtilities.generateCode(ProcessorUtilities.java:1736)
 
at org.talend.designer.runprocess.RunProcessContext$1.run(RunProcessContext.java:582)
 
at org.eclipse.jface.operation.ModalContext.runInCurrentThread(ModalContext.java:466)
 
at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:374)
 
at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:527)
 
at org.eclipse.ui.internal.progress.ProgressMonitorJobsDialog.run(ProgressMonitorJobsDialog.java:284)
 
at org.eclipse.ui.internal.progress.ProgressManager.run(ProgressManager.java:1190)
 
at org.talend.designer.runprocess.RunProcessContext.exec(RunProcessContext.java:534)
 
at org.talend.designer.runprocess.ui.ProcessComposite.exec(ProcessComposite.java:1401)
 
at org.talend.designer.runprocess.ui.views.ProcessView$RunAction.run(ProcessView.java:701)
 
at org.talend.designer.runprocess.ui.actions.RunProcessAction.run(RunProcessAction.java:58)
 
at org.talend.designer.core.debug.JobLaunchConfigurationDelegate$1.run(JobLaunchConfigurationDelegate.java:84)
 
at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
 
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:136)
 
at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4147)
 
at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3764)
 
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$9.run(PartRenderingEngine.java:1151)
 
at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
 
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1032)
 
at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:148)
 
at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:636)
 
at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
 
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:579)
 
at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:150)
 
at org.talend.rcp.intro.Application.start(Application.java:265)
 
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
 
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
 
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
 
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)
 
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)
 
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
 
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
 
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
 
at java.lang.reflect.Method.invoke(Unknown Source)
 
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
 
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
 
at org.eclipse.equinox.launcher.Main.run(Main.java:1465)
 
Thanks.
 
 
Moderator

Re: executable launcher was unable to locate its companion shared library

Hello,

What's www in your job setting? Does this job compile error repro on all your jobs or a specific job(SFDemo2)?

Could you please check your "Code" tab in your job to see if there will be compile error highlighted in red line?

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Five Stars

Re: executable launcher was unable to locate its companion shared library

Thanks, @xdshi, this issue was resolved.

Moderator

Re: executable launcher was unable to locate its companion shared library

Hello,

Great this issue is fixed. Feel free to let us know if there is any further help we can give.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Four Stars

Re: executable launcher was unable to locate its companion shared library

Hi @psharma035

 

Could you please let me know how you sorted it out? I am facing the same issue, stuck on "I agree" action.

 

Thank you very much for your help in advance. 

 

Moderator

Re: executable launcher was unable to locate its companion shared library

Hello,

Are you installing JDK 1.8 for your studio?

Best regards

Sabrina

 

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Four Stars

Re: executable launcher was unable to locate its companion shared library

Hello @xdshi,

 

Thank you for your response. 

 

Yes, I am. Please find the specifications below. 

 

java version "1.8.0_181"

Java(TM) SE Runtime Environment (build 1.8.0_181-b13)

Java HotSpot(TM) 64-Bit Server VM (build 25.181-b13, mixed mode)

 

I've tried 1.8.151 but didn't work either. 

 

Any help is highly appreciated.

Five Stars

Re: executable launcher was unable to locate its companion shared library

Hi @Lrmr0521,

 

In my scenario, I was using bad string where the string www was not enclosed in double quotes ("www") and it was throwing the exception.

 

If you can share your logs, we may look further.

 

Thanks.

Four Stars

Re: executable launcher was unable to locate its companion shared library

Hi @psharma035

 

Thanks for your response. 

 

My problem is that I am not able to click on the 'I accept" bottom.  The User Licence Agreement tab/screen is stuck. (see attached).

 

Thanks for your help.

 

Four Stars

Re: executable launcher was unable to locate its companion shared library

@psharma035 & @Lrmr0521, I am having the exact same issue on mac High Sierra. I can't seem to get past the "User License Agreement Tab" either. It gets stuck all the time (screenshot attached). I can't scroll down the agreement either.

 

The java I have installed is as follows: 

java version "1.8.0_181"

Java(TM) SE Runtime Environment (build 1.8.0_181-b13)

Java HotSpot(TM) 64-Bit Server VM (build 25.181-b13, mixed mode)

Moderator

Re: executable launcher was unable to locate its companion shared library

Hello,

Have you tried to add -vm to jdk1.8.0_151 to see if it works?

Please have a look at the comments in this jira issue:https://jira.talendforge.org/browse/TUP-18888.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Four Stars

Re: executable launcher was unable to locate its companion shared library

Hi Sabrina,

 

    Thanks for pointing out that ticket. I just had to downgrade my version of Java to 1.8.0_151 and it worked.

Moderator

Re: executable launcher was unable to locate its companion shared library

Hello,

Great it helps. Thanks for your prompt reply.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.